"""
Phinity: A self-improvement SDK for language models
"""

from phinity.core.interfaces import Generator, Judge, Pipeline
from phinity.generators.llm_generator import LLMGenerator
from phinity.evaluators.llm_judge import LLMJudge

__version__ = "0.1.0"

__all__ = [
    "Generator",
    "Judge",
    "Pipeline",
    "LLMGenerator",
    "LLMJudge",
] 