from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="phinity",
    version="0.1.1",
    author="Your Name",
    author_email="your.email@example.com",
    description="A framework for fine-tuning language models with preference data",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/yourusername/phinity",
    packages=find_packages(include=['phinity', 'phinity.*']),
    package_data={'phinity': ['py.typed']},
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
    ],
    python_requires=">=3.7",
    install_requires=[
        "openai>=0.27.0",
        "tenacity>=8.0.0",
    ],
) 